# Uses of Class
org.apache.maven.shared.model.fileset.FileSet

Packages that use FileSet
Package
Description
org.apache.maven.shared.model.fileset.io.xpp3
org.apache.maven.shared.model.fileset.util

## Uses of FileSet in org.apache.maven.shared.model.fileset.io.xpp3

Methods in org.apache.maven.shared.model.fileset.io.xpp3 that return FileSet
Modifier and Type
Method
Description
`FileSet`
FileSetXpp3Reader.`read(InputStream in)`
Method read.
`FileSet`
FileSetXpp3Reader.`read(InputStream in, boolean strict)`
Method read.
`FileSet`
FileSetXpp3Reader.`read(Reader reader)`
`FileSet`
FileSetXpp3Reader.`read(Reader reader, boolean strict)`
Methods in org.apache.maven.shared.model.fileset.io.xpp3 with parameters of type FileSet
Modifier and Type
Method
Description
`void`
FileSetXpp3Writer.`write(OutputStream stream, FileSet fileSet)`
Method write.
`void`
FileSetXpp3Writer.`write(Writer writer, FileSet fileSet)`
Method write.

## Uses of FileSet in org.apache.maven.shared.model.fileset.util

Methods in org.apache.maven.shared.model.fileset.util with parameters of type FileSet
Modifier and Type
Method
Description
`void`
FileSetManager.`delete(FileSet fileSet)`
Delete the matching files and directories for the given file-set definition.
`void`
FileSetManager.`delete(FileSet fileSet, boolean throwsError)`
Delete the matching files and directories for the given file-set definition.
`String[]`
FileSetManager.`getExcludedDirectories(FileSet fileSet)`
Get all the directory names which have been excluded by the rules in this fileset.
`String[]`
FileSetManager.`getExcludedFiles(FileSet fileSet)`
Get all the filenames which have been excluded by the rules in this fileset.
`String[]`
FileSetManager.`getIncludedDirectories(FileSet fileSet)`
Get all the directory names which have been included by the rules in this fileset.
`String[]`
FileSetManager.`getIncludedFiles(FileSet fileSet)`
Get all the filenames which have been included by the rules in this fileset.
`Map<String,String>`
FileSetManager.`mapIncludedFiles(FileSet fileSet)`